### NAME

Tcl_StringMatch, Tcl_StringCaseMatch - test whether a string matches a pattern

### SYNOPSIS

#include <tcl8.3/tcl.h>
int
Tcl_StringMatch(string, pattern)
int
Tcl_StringCaseMatch(string, pattern, nocase)

### ARGUMENTS

char *string (in)
  String to test.

char *pattern (in)
  Pattern to match against string. May contain special characters from the set *?\[].

int nocase (in)
  Specifies whether the match should be done case-sensitive (0) or case-insensitive (1).

### DESCRIPTION

This utility procedure determines whether a string matches a given pattern. If it does, then Tcl_StringMatch returns 1. Otherwise Tcl_StringMatch returns 0. The algorithm used for matching is the same algorithm used in the ``string match'' Tcl command and is similar to the algorithm used by the C-shell for file name matching; see the Tcl manual entry for details.

In Tcl_StringCaseMatch, the algorithm is the same, but you have the option to make the matching case-insensitive. If you choose this (by passing nocase as 1), then the string and pattern are essentially matched in the lower case.

### KEYWORDS

match, pattern, string

    Copyright © 1989-1993 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.